package com.mamezou.employee.batch;

import java.util.Iterator;
import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.scheduling.quartz.QuartzJobBean;

import com.mamezou.employee.business.Employee;
import com.mamezou.employee.business.EmployeeManager;

/**
 * ]ƈ|[gNX
 * @author MBeans
 * @version 1.0
 */
public class EmployeeReport extends QuartzJobBean {
    private static final Log log = LogFactory.getLog(EmployeeReport.class);
    private EmployeeManager employeeManager;
    protected void executeInternal(JobExecutionContext arg0)
        throws JobExecutionException {
        List employees = employeeManager.findAll();
        Iterator it = employees.iterator();
        log.info("#############################");
        while(it.hasNext()) {
            log.info((Employee)it.next());
        }
        log.info("#############################");
    }
    public void setEmployeeManager(EmployeeManager employeeManager) {
        this.employeeManager = employeeManager;
    }
}
