package com.mamezou.employee.business;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * ]ƈNX
 * @author MBeans
 * @version 1.0
 */
public final class Employee implements Serializable {

    private static final long serialVersionUID = 1614189041373552742L;

    private int id;
    private String name;
    private String address;
    private Timestamp lastUpdateDate;

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public Timestamp getLastUpdateDate() {
        return lastUpdateDate;
    }

    public void setLastUpdateDate(Timestamp lastUpdateDate) {
        this.lastUpdateDate = lastUpdateDate;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    
    public String toString() {
        StringBuffer buffer = new StringBuffer();
        buffer.append("[Employee:");
        buffer.append(" id: ");
        buffer.append(id);
        buffer.append(" name: ");
        buffer.append(name);
        buffer.append(" address: ");
        buffer.append(address);
        buffer.append(" lastUpdateDate: ");
        buffer.append(lastUpdateDate);
        buffer.append("]");
        return buffer.toString();
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null) {
            return false;
        }
        if (o.getClass() != getClass()) {
            return false;
        }
        Employee castedObj = (Employee) o;
        return ((this.id == castedObj.id)
                && (this.name == null
                    ? castedObj.name == null
                    : this.name.equals(castedObj.name))
                && (this.address == null
                    ? castedObj.address == null
                    : this.address.equals(castedObj.address))
                && (this.lastUpdateDate == null
                    ? castedObj.lastUpdateDate == null
                    : this.lastUpdateDate.equals(castedObj.lastUpdateDate)));
    }
    
    public int hashCode() {
        int hashCode = 1;
        hashCode = 31 * hashCode + id;
        hashCode = 31 * hashCode + (name == null ? 0 : name.hashCode());
        hashCode = 31 * hashCode + (address == null ? 0 : address.hashCode());
        hashCode = 31 * hashCode
                    + (lastUpdateDate == null ? 0 : lastUpdateDate.hashCode());
        return hashCode;
    }
}
