package com.mamezou.employee.business;

import java.sql.Timestamp;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

/**
 * ]ƈǗ̃rWlXNX
 * @author MBeans
 * @version 1.0
 */
public class EmployeeManagerImpl implements EmployeeManager {

    // pDAOBSpringɂăCWFNVB
    private EmployeeDao employeeDao;

    // DAOp̃Zb^[CWFNV
    public void setEmployeeDao(EmployeeDao employeeDao) {
        this.employeeDao = employeeDao;
    }

    /**
     * SĂ̏]ƈB
     * @return SĂ̏]ƈ
     */
    public List<Employee> findAll() {
        // SĂ̏]ƈB
        return employeeDao.findAll();
    }

    /**
     * ]ƈǉB
     * @param emp ǉΏۂ̏]ƈNX
     * @return ǉ]ƈ
     */
    public int addEmployee(Employee emp) {
        // XVɌݓݒ肷B
        if (emp.getLastUpdateDate() == null) {
            emp.setLastUpdateDate(new Timestamp(now().getTime()));
        }
        // ]ƈǉB
        return employeeDao.addEmployee(emp);
    }

    // ݓԂ܂B
    private Date now() {
        return Calendar.getInstance().getTime();
    }

    /**
     * ]ƈ폜B
     * @param emp 폜Ώۂ̏]ƈNX
     * @return 폜]ƈ
     */
    public int removeEmployee(Employee emp) {
        // ]ƈ폜B
        return employeeDao.removeEmployee(emp);
    }
}
